OUTPUT = opencv-bresenham
SOURCES := main.cpp
OBJECTS := $(SOURCES:.cpp=.o)

OPENCV_CXXFLAGS := $(shell pkg-config --cflags opencv4)
OPENCV_LDFLAGS := $(shell pkg-config --libs opencv4)

BOOST_LDFLAGS := -L/usr/lib/ -lboost_program_options
BOOST_CXXFLAGS := -I/usr/include/boost/

LDFLAGS := $(OPENCV_LDFLAGS) $(BOOST_LDFLAGS)
CXXFLAGS := $(OPENCV_CXXFLAGS) $(BOOST_CXXFLAGS) -std=c++11 -Wall -Wextra -pedantic

.PHONY: all clean indent

%.o: %.cpp
	@$(CXX) -c -o $@ $(CXXFLAGS) $< -O3

$(OUTPUT) : $(OBJECTS)
	@$(CXX) $(OBJECTS) -o $(OUTPUT) $(LDFLAGS)

indent:
	@astyle --style=google --max-code-length=80  $(SOURCES)

clean:
	@rm -f $(OUTPUT) $(OBJECTS) *~
